import m from '../src';

describe('svg', () => {
  it('should return 2 different svg', () => {
    const black = m.svg('newspaper');
    const red = m.svg('newspaper', 'red');
    expect(black).not.toEqual(red);
  });

  it('should return a small svg', () => {
    const el = m.svg('newspaper', '#0000bb', '50%', '50%');
    expect(el).toMatchSnapshot();
  });

  it('should allow optional "fa-" prefix in the name', () => {
    const el1 = m.svg('newspaper');
    const el2 = m.svg('fa-newspaper');
    expect(el1).toEqual(el2);
  });

  it('should throw a `name` error', () => {
    expect(() => m.svg([])).toThrowError('fa.svg `name` must be a String');
  });

  it('should throw a `color` error', () => {
    expect(() => m.svg('newspaper', [])).toThrowError('fa.svg `color` must be a String');
  });

  it('should throw an invalid font error', () => {
    expect(() => m.svg('THIS_IS_INVALID'))
      .toThrowError('fa.svg name "this_is_invalid" must be a valid FontAwesome icon name');
  });
});
